From 91ef8a48add825c038daf4f880903bde0046334b Mon Sep 17 00:00:00 2001
From: Britney Fransen <brfransen@gmail.com>
Date: Wed, 22 Oct 2014 21:43:36 +0000
Subject: update81-82.sh: exit if some pacman installs fail. remove conflicting
 file

---
 abs/core/update81-82.sh | 47 +++++++++++++++++++++++++++++++++--------------
 1 file changed, 33 insertions(+), 14 deletions(-)

diff --git a/abs/core/update81-82.sh b/abs/core/update81-82.sh
index 8967549..47d3d14 100644
--- a/abs/core/update81-82.sh
+++ b/abs/core/update81-82.sh
@@ -21,7 +21,7 @@ then
     exit 3
 fi
 
-
+echo "Syncing pacman repos..."
 pacman -Ssyy LinHES-system | awk '{print $2}' | grep -q "8.2-"
 pr=$?
 if [ $pr != 0 ]
@@ -39,37 +39,36 @@ then
     fi
 fi
 
-
-
 echo "Downloading filesystem and glibc for later use, please wait..."
 curl -o filesystem-itermediate.pkg.tar.xz http://linhes.org/repo/x86_64/filesystem-itermediate.pkg.tar.xz
 rc=$?
 if [ $rc != 0 ]
 then
-    echo "Couldn't download filesystem pkg"
+    echo "Couldn't download filesystem package"
     exit 1
 else
-    echo "Filesystem pkg downloaded"
+    echo "filesystem package downloaded"
 fi
 
 curl -o glibc-2.18-11-x86_64.pkg.tar.xz http://linhes.org/repo/x86_64/core-testing/glibc-2.18-11-x86_64.pkg.tar.xz
 rc=$?
 if [ $rc != 0 ]
 then
-    echo "Couldn't download glibc pkg"
+    echo "Couldn't download glibc package"
     exit 1
 else
-    echo "glibc pkg downloaded"
+    echo "glibc package downloaded"
 fi
 
-
+echo "Installing tdb..."
 pacman -S --noconfirm tdb
 
-echo "Removing select symlinks and files not in poweroff-scripts package..."
-
+echo "Removing miscellanous files not in packages..."
 rm -f /usr/lib/libtalloc.so.1
 rm -f /usr/lib/libtalloc.so.2
+rm -f /etc/ssl/certs/java/cacerts
 
+echo "Removing symlinks not in poweroff-scripts package..."
 if [ -L /usr/sbin ]
 then
     rm -f /usr/sbin/reb*
@@ -86,10 +85,28 @@ fi
 
 
 echo "Updating packages..."
-pacman -Syu --ignore filesystem,bash,glibc
+pacman -Syu lirc lirc-utils --ignore filesystem,bash,glibc
+rc=$?
+if [ $rc != 0 ]
+then
+  echo "FAILED: pacman -Syu lirc lirc-utils --ignore filesystem,bash,glibc"
+  exit 2
+fi
+
 pacman -R tcp_wrappers  --noconfirm
+rc=$?
+if [ $rc != 0 ]
+then
+  echo "FAILED: pacman -R tcp_wrappers"
+  exit 2
+fi
 pacman -S bash --noconfirm
-
+rc=$?
+if [ $rc != 0 ]
+then
+  echo "FAILED: pacman -S bash"
+  exit 2
+fi
 
 pacman -U ./glibc-2.18-11-x86_64.pkg.tar.xz ./filesystem-itermediate.pkg.tar.xz --noconfirm
 rc=$?
@@ -100,6 +117,7 @@ then
   echo "for packages that need to be updated"
   exit 2
 fi
+
 pacman -Su
 
 
@@ -111,6 +129,7 @@ fi
 ln -s /dev/null /etc/udev/rules.d/80-net-name-slot.rules
 
 pacman -S linux --noconfirm
+
 pacman -S filesystem --noconfirm
 rc=$?
 if [ $rc != 0 ]
@@ -121,6 +140,6 @@ then
   exit 2
 else
   echo "New filesystem in place"
-  echo "upgrade was a success"
-  echo "please reboot"
+  echo "LinHES 8.2 upgrade was successful!"
+  echo "Please reboot"
 fi
-- 
cgit v0.12